BinOutputStream Class Referenceabstract

`#include <xercesc/framework/BinOutputStream.hpp>`

Inheritance diagram for BinOutputStream:

## Public Member Functions

virtual | ~BinOutputStream ()
virtual XMLFilePos | curPos () const =0
virtual void | writeBytes (const XMLByte *const toGo, const XMLSize_t maxToWrite)=0
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Protected Member Functions

| BinOutputStream ()
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

## ~BinOutputStream()

virtual BinOutputStream::~BinOutputStream | ( |  | ) |

virtual

## BinOutputStream()

BinOutputStream::BinOutputStream | ( |  | ) |

protected

References BinOutputStream().

Referenced by BinOutputStream().

## Member Function Documentation

## curPos()

virtual XMLFilePos BinOutputStream::curPos | ( |  | ) | const

pure virtual

## writeBytes()

virtual void BinOutputStream::writeBytes | ( | const XMLByte *const | toGo,
|  | const XMLSize_t | maxToWrite )

pure virtual

The documentation for this class was generated from the following file:

- BinOutputStream.hpp